package domain


type WdkWarehouseOrderCancelSubOrderReturn struct {
    /*
        拦截状态     */
    InterceptStatus  *string `json:"intercept_status,omitempty" `

    /*
        子订单     */
    SubOrderCode  *string `json:"sub_order_code,omitempty" `

    /*
        取消结果     */
    CancelSuccess  *bool `json:"cancel_success,omitempty" `

}

func (s *WdkWarehouseOrderCancelSubOrderReturn) SetInterceptStatus(v string) *WdkWarehouseOrderCancelSubOrderReturn {
    s.InterceptStatus = &v
    return s
}
func (s *WdkWarehouseOrderCancelSubOrderReturn) SetSubOrderCode(v string) *WdkWarehouseOrderCancelSubOrderReturn {
    s.SubOrderCode = &v
    return s
}
func (s *WdkWarehouseOrderCancelSubOrderReturn) SetCancelSuccess(v bool) *WdkWarehouseOrderCancelSubOrderReturn {
    s.CancelSuccess = &v
    return s
}
